// SPDX-FileCopyrightText: 2022 Johannes Loher
//
// SPDX-License-Identifier: MIT

import { DS4Actor } from "../actor";

export class DS4Character extends DS4Actor {
  /** @override */
  prepareFinalDerivedData() {
    super.prepareFinalDerivedData();
    this.system.slayerPoints.max = 3;
  }

  /** @override */
  get finalDerivedDataProperties() {
    return [...super.finalDerivedDataProperties, "system.slayerPoints.max"];
  }

  /** @override */
  get ownableItemTypes() {
    return [...super.ownableItemTypes, "talent", "racialAbility", "language", "alphabet"];
  }
}
